Skip to main content
GET
/
api
/
v1
/
ai
/
trades
/
quote
Trade quote (estimate)
curl --request GET \
  --url https://mcp.echozero.app/api/v1/ai/trades/quote \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "quoteId": "<string>",
    "inputToken": {
      "address": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "name": "<string>",
      "logoUri": "<string>",
      "priceUsd": 123,
      "priceChange24h": 123
    },
    "outputToken": {
      "address": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "name": "<string>",
      "logoUri": "<string>",
      "priceUsd": 123,
      "priceChange24h": 123
    },
    "inputAmount": "<string>",
    "outputAmount": "<string>",
    "inputAmountUsd": 123,
    "outputAmountUsd": 123,
    "priceImpactPct": 123,
    "totalFeesUsd": 123,
    "exchangeRate": 123,
    "slippageBps": 123,
    "expiresAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Headers

x-signature
string

HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Optional -- when omitted, HMAC verification is skipped.

x-timestamp
string

Request timestamp in epoch milliseconds. Required when x-signature is provided. Rejected if drift exceeds 5 minutes.

Query Parameters

action
enum<string>
required
Available options:
BUY,
SELL
tokenAddress
string
required

Target token mint address

amountUsd
number
required

Amount in USD

Required range: x >= 0.01
baseTokenAddress
string

Base token mint (optional)

agentId
string

Agent id for context

Response

Quote.

success
boolean
required
Example:

true

data
object
required

Endpoint-specific payload